com.pivotal.gemfirexd.internal.client.am

## Class Section

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.Section

    public class Section
    extends Object

### Field Summary

Fields
`protected Agent` `agent_`
`protected String` `clientCursorName_`
`protected String` `packageName`
`protected int` `sectionNumber`
`protected String` `serverCursorName`
`String` `serverCursorNameForPositionedUpdate_`

### Constructor Summary

Constructors
Constructor and Description
`Section(Agent agent, String name, int sectionNumber, String cursorName, int resultSetHoldability)`
`Section(Agent agent, String name, int sectionNumber, String cursorName, int resultSetHoldability, boolean isGenerated)`

### Method Summary

Methods
`void` `free()`
`HashSet` `getBucketIds()`
`String` `getClientCursorName()`
`int` `getExecutionSequence()`
`String` `getPackage()`
`String` `getPackageName()`
`TxID` `getParentTxID()`
`byte[]` `getPKGNAMCBytes()` retrieve the package name and consistency token information
`Section` `getPositionedUpdateSection()`
`String` `getRegionName()`
`int` `getSectionNumber()`
`String` `getServerCursorName()`
`String` `getServerCursorNameForPositionedUpdate()`
`com.pivotal.gemfirexd.internal.shared.common.SingleHopInformation` `getSingleHopInformationObj()`
`String` `getSQLString()`
`int` `getStaticStatementType()`
`boolean` `isReservedPositionedUpdate()`
`boolean` `isSingleHopInfoRequired()`
`boolean` `isThisACopiedSection()`
`void` `recordSuccessAndclearExecutionSequence(Connection conn, int successSeq)`
`void` `setBucketIds(HashSet bucketIds)`
`void` `setClientCursorName(String clientCursorName)`
`void` `setCopiedSection(boolean flag, PreparedStatement parentPstmnt)`
`void` `setCursorName(String name)`
`void` `setExecutionSequence(int seq)`
`void` `setPKGNAMCBytes(byte[] b)` Store the Packagename and consistency token information for reuse.
`void` `setRegionName(String regionName)`
`void` `setSingleHopInfoRequired(boolean flag)`
`void` `setSingleHopInformation(com.pivotal.gemfirexd.internal.shared.common.SingleHopInformation singleHopInfoObj)`
`void` `setSqlString(String sql)`
`void` `setSqlStringToNull()`
`void` `setStringSent()`
`void` `setTxIdToBeSent(boolean flag)`
`String` `toString()`
`boolean` `txIdToBeSent()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### sectionNumber

    protected int sectionNumber

#### packageName

    protected String packageName

#### serverCursorName

    protected String serverCursorName

#### serverCursorNameForPositionedUpdate_

    public String serverCursorNameForPositionedUpdate_

#### clientCursorName_

    protected transient String clientCursorName_

#### agent_

    protected Agent agent_

### Constructor Detail

#### Section

    public Section(Agent agent,
           String name,
           int sectionNumber,
           String cursorName,
           int resultSetHoldability)

#### Section

    public Section(Agent agent,
           String name,
           int sectionNumber,
           String cursorName,
           int resultSetHoldability,
           boolean isGenerated)

### Method Detail

#### setPKGNAMCBytes

    public void setPKGNAMCBytes(byte[] b)

Store the Packagename and consistency token information for reuse. Case 1: if it is generated section, just store the byte array in PKGNAMCBytes Case 2: for not a generated section, information is stored in the correct byte array depending on the holdability in SectionManager

#### getPKGNAMCBytes

    public byte[] getPKGNAMCBytes()

retrieve the package name and consistency token information

#### getPackageName

    public String getPackageName()

#### getSectionNumber

    public int getSectionNumber()

#### getPackage

    public String getPackage()

#### getServerCursorName

    public String getServerCursorName()

#### getServerCursorNameForPositionedUpdate

    public String getServerCursorNameForPositionedUpdate()

#### getClientCursorName

    public String getClientCursorName()

#### setClientCursorName

    public void setClientCursorName(String clientCursorName)

#### free

    public void free()

#### isReservedPositionedUpdate

    public boolean isReservedPositionedUpdate()

#### getStaticStatementType

    public int getStaticStatementType()

#### getPositionedUpdateSection

    public Section getPositionedUpdateSection()
                                       throws SqlException

Throws:
  `SqlException`

#### setCursorName

    public void setCursorName(String name)

#### setSingleHopInfoRequired

    public void setSingleHopInfoRequired(boolean flag)

#### isSingleHopInfoRequired

    public boolean isSingleHopInfoRequired()

#### setSingleHopInformation

    public void setSingleHopInformation(com.pivotal.gemfirexd.internal.shared.common.SingleHopInformation singleHopInfoObj)

#### getSingleHopInformationObj

    public com.pivotal.gemfirexd.internal.shared.common.SingleHopInformation getSingleHopInformationObj()

#### getSQLString

    public String getSQLString()

#### setStringSent

    public void setStringSent()

#### setBucketIds

    public void setBucketIds(HashSet bucketIds)

#### isThisACopiedSection

    public boolean isThisACopiedSection()

#### getBucketIds

    public HashSet getBucketIds()

#### setSqlStringToNull

    public void setSqlStringToNull()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### setSqlString

    public void setSqlString(String sql)

#### setCopiedSection

    public void setCopiedSection(boolean flag,
                        PreparedStatement parentPstmnt)

#### setRegionName

    public void setRegionName(String regionName)

#### getRegionName

    public String getRegionName()

#### setExecutionSequence

    public void setExecutionSequence(int seq)

#### recordSuccessAndclearExecutionSequence

    public void recordSuccessAndclearExecutionSequence(Connection conn,
                                              int successSeq)

#### getExecutionSequence

    public int getExecutionSequence()

#### getParentTxID

    public TxID getParentTxID()

#### setTxIdToBeSent

    public void setTxIdToBeSent(boolean flag)

#### txIdToBeSent

    public boolean txIdToBeSent()